Subject: bug#11456: it still can't be compiled

From: Andy Wingo <[email-masked]>
Date: Fri, 06 Jul 2012 10:38:56 +0200

On Fri 06 Jul 2012 06:59, gnuemacser <[email-masked]> writes:

> I have to say that the error is not only about --without-threads
> argument.Here is my test:
> i use mingw gcc version 4.6.2, i installed mingw's pthread, gmp,
> libunistring, i build libffi
> and gc myself.
> when i build gc-7.2alpha6 , i found that gc do not support pthread in
> mingw.

There is something in the configure.ac about:

  AH_TEMPLATE([GC_WIN32_PTHREADS],    [Define to support win32-pthreads.])

I apologize for the back and forth here, I wish I knew more about
mingw.

> so with the guile i can only
> use --without-threads argument.

Well OK, this should still work.

> top directory, then i cd into it.
> i use "../configure --without-threads" to config.
> after configure the guile,i run make.
> then it stops here:
>
>   CC     libguile_2.0_la-symbols.lo
>   CC     libguile_2.0_la-threads.lo
> ../../libguile/threads.c: In function 'to_timespec':
> ../../libguile/threads.c:267:15: error: dereferencing pointer to
> incomplete type

This indicates that struct scm_t_timespec is not defined.  I don't know
how this could be: can you grep libguile/scmconfig.h for scm_t_timespec
?

I assume configure detected struct timespec, but that threads.c does not
include the right header.  Can you add

  #include <time.h>

to the top of threads.c to see what happens?

I have committed something locally that will cause scmconfig.h to always
include time.h.

Thanks for the report,

Andy
-- 
http://wingolog.org/